<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlMonRxGainPhRep_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlMonRxGainPhRep_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This API is a Monitoring report which RadarSS sends to the host, containing the measured RX gain and phase values. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_GAIN_PHASE_REPORT.  
 <a href="structrl_mon_rx_gain_ph_rep__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/mmwavelink.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a986c56cfa803ab481b677fe022c9bd7c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a986c56cfa803ab481b677fe022c9bd7c"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_gain_ph_rep__t.html#a986c56cfa803ab481b677fe022c9bd7c">statusFlags</a></td></tr>
<tr class="memdesc:a986c56cfa803ab481b677fe022c9bd7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Status flags indicating pass fail results corresponding <br />
 to various threshold checks under this monitor. <br />
 Bit STATUS_FLAG for monitor <br />
 [0] STATUS_RX_GAIN_ABS <br />
 [1] STATUS_RX_GAIN_MISMATCH <br />
 [2] STATUS_RX_GAIN_FLATNESS <br />
 [3] STATUS_RX_PHASE_MISMATCH <br />
 [15:4]RESERVED <br />
 0 - FAIL or check wasn't done, 1 - PASS <br />
. <br /></td></tr>
<tr class="separator:a986c56cfa803ab481b677fe022c9bd7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bcf26b360146d84517fbc51256a1ce5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7bcf26b360146d84517fbc51256a1ce5"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_gain_ph_rep__t.html#a7bcf26b360146d84517fbc51256a1ce5">errorCode</a></td></tr>
<tr class="memdesc:a7bcf26b360146d84517fbc51256a1ce5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates any error reported during monitoring Value of 0 indicates no error. <br /></td></tr>
<tr class="separator:a7bcf26b360146d84517fbc51256a1ce5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af09dea26386d8e427d4e193d82293c72"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af09dea26386d8e427d4e193d82293c72"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_gain_ph_rep__t.html#af09dea26386d8e427d4e193d82293c72">profIndex</a></td></tr>
<tr class="memdesc:af09dea26386d8e427d4e193d82293c72"><td class="mdescLeft">&#160;</td><td class="mdescRight">Profile Index for which this monitoring report applies. <br /></td></tr>
<tr class="separator:af09dea26386d8e427d4e193d82293c72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a215f4caa0dab347503683fd350d60152"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a215f4caa0dab347503683fd350d60152"></a>
rlUInt8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_gain_ph_rep__t.html#a215f4caa0dab347503683fd350d60152">reserved0</a></td></tr>
<tr class="memdesc:a215f4caa0dab347503683fd350d60152"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a215f4caa0dab347503683fd350d60152"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51df29e1a6be5d68c42df325db67667a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51df29e1a6be5d68c42df325db67667a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_gain_ph_rep__t.html#a51df29e1a6be5d68c42df325db67667a">reserved1</a></td></tr>
<tr class="memdesc:a51df29e1a6be5d68c42df325db67667a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a51df29e1a6be5d68c42df325db67667a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5715e1645d3597f06bb6bec5035785c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5715e1645d3597f06bb6bec5035785c7"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_gain_ph_rep__t.html#a5715e1645d3597f06bb6bec5035785c7">rxGainVal</a> [12U]</td></tr>
<tr class="memdesc:a5715e1645d3597f06bb6bec5035785c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The measured RX gain for each enabled channel, at each enabled RF frequency <br />
 (i.e., lowest, center and highest in the profile's RF band) is reported <br />
 here. Byte numbers corresponding to different RX and RF, in this field <br />
 are here: <br />
 RF1 RF2 RF3 <br />
 RX0 1:0 9:8 17:16 <br />
 RX1 3:2 11:10 19:18 <br />
 RX2 5:4 13:12 21:20 <br />
 RX3 7:6 15:14 23:22 <br />
 1 LSB = 0.1 dB <br />
 Only the entries of enabled RF Frequencies and enabled RX channels are <br />
 valid. <br />
. <br /></td></tr>
<tr class="separator:a5715e1645d3597f06bb6bec5035785c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae0a98342d3ee4251baa9975f4b8951f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae0a98342d3ee4251baa9975f4b8951f"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_gain_ph_rep__t.html#aae0a98342d3ee4251baa9975f4b8951f">rxPhaseVal</a> [12U]</td></tr>
<tr class="memdesc:aae0a98342d3ee4251baa9975f4b8951f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The measured RX phase for each enabled channel, at each enabled RF frequency is <br />
 reported here. Byte numbers corresponding to different RX and RF, <br />
 in this field are here: <br />
 RF1 RF2 RF3 <br />
 RX0 1:0 9:8 17:16 <br />
 RX1 3:2 11:10 19:18 <br />
 RX2 5:4 13:12 21:20 <br />
 RX3 7:6 15:14 23:22 <br />
 LSB = 360 (degree)/2^16. <br />
 Only the entries of enabled RF Frequencies and enabled RX channels are <br />
 valid. <br />
 Note: these phases include an unknown bias common to all RX channels. <br />
. <br /></td></tr>
<tr class="separator:aae0a98342d3ee4251baa9975f4b8951f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91fe593477fcf8115f406989460f9819"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91fe593477fcf8115f406989460f9819"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_gain_ph_rep__t.html#a91fe593477fcf8115f406989460f9819">reserved2</a></td></tr>
<tr class="memdesc:a91fe593477fcf8115f406989460f9819"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a91fe593477fcf8115f406989460f9819"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a416ef299095d8a67a5f1fa2c60e5fa02"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a416ef299095d8a67a5f1fa2c60e5fa02"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_gain_ph_rep__t.html#a416ef299095d8a67a5f1fa2c60e5fa02">reserved3</a></td></tr>
<tr class="memdesc:a416ef299095d8a67a5f1fa2c60e5fa02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reserved for future use. <br /></td></tr>
<tr class="separator:a416ef299095d8a67a5f1fa2c60e5fa02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a93a05900442229705722e23a05ca79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5a93a05900442229705722e23a05ca79"></a>
rlUInt32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_mon_rx_gain_ph_rep__t.html#a5a93a05900442229705722e23a05ca79">timeStamp</a></td></tr>
<tr class="memdesc:a5a93a05900442229705722e23a05ca79"><td class="mdescLeft">&#160;</td><td class="mdescRight">This field indicates when the last monitoring in the enabled set was performed. <br />
 1 LSB = 1 millisecond (the stamp rolls over upon exceeding allotted bit <br />
 width) <br />
. <br /></td></tr>
<tr class="separator:a5a93a05900442229705722e23a05ca79"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This API is a Monitoring report which RadarSS sends to the host, containing the measured RX gain and phase values. RadarSS sends this to host at the programmed periodicity or when failure occurs, as programmed by the configuration API SB. Event: RL_RF_AE_MON_RX_GAIN_PHASE_REPORT. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/mmwavelink.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
